import { IEffectsAction } from 'redux-effects-promise';
/**
 * @action-builder
 * @stable [08.09.2020]
 */
export declare class PageToolbarActionBuilder {
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildNextPageActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildPreviousPageActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildFirstPageActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildLastPageActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildFirstPagePlainAction(section: string): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildLastPagePlainAction(section: string): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildPreviousPagePlainAction(section: string): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildNextPagePlainAction(section: string): IEffectsAction;
}
