"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandParam = void 0;
/**
 * @stable [21.05.2018]
 */
var CommandParam = /** @class */ (function () {
    /**
     * @stable [21.05.2018]
     * @param {string} paramName
     * @param {AnyT} paramValue
     */
    function CommandParam(paramName, paramValue) {
        this.paramName = paramName;
        this.paramValue = paramValue;
    }
    /**
     * @stable [21.05.2018]
     * @returns {string}
     */
    CommandParam.prototype.getParamName = function () {
        return this.paramName;
    };
    /**
     * @stable [21.05.2018]
     * @returns {AnyT}
     */
    CommandParam.prototype.getParamValue = function () {
        return this.paramValue;
    };
    return CommandParam;
}());
exports.CommandParam = CommandParam;
//# sourceMappingURL=command.param.js.map