/// <reference types="react" />
import { GenericComponent } from '../base/generic.component';
import { IBarcodeProps } from './barcode.interface';
export declare class Barcode extends GenericComponent<IBarcodeProps> {
    static readonly defaultProps: IBarcodeProps;
    private readonly uuid;
    /**
     * @stable [03.11.2020]
     * @param prevProps
     * @param prevState
     */
    componentDidUpdate(prevProps: Readonly<IBarcodeProps>, prevState: Readonly<{}>): void;
    /**
     * @stable [03.11.2020]
     */
    componentDidMount(): void;
    /**
     * @stable [11.06.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [11.06.2018]
     */
    private refresh;
    /**
     * @stable [03.11.2020]
     * @param format
     * @private
     */
    private toId;
    /**
     * @stable [10.04.2019]
     * @returns {BarcodeFormatsEnum[]}
     */
    private get validFormats();
}
