"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicComponent = void 0;
var React = require("react");
var util_1 = require("../../util");
var enhanced_generic_component_1 = require("./enhanced-generic.component");
var BasicComponent = /** @class */ (function (_super) {
    __extends(BasicComponent, _super);
    function BasicComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [05.05.2020]
     * @returns {JSX.Element}
     */
    BasicComponent.prototype.render = function () {
        var originalProps = this.originalProps;
        var className = originalProps.className, style = originalProps.style;
        return (React.createElement("div", { ref: this.actualRef, style: style, className: util_1.CalcUtils.calc(className) }, this.originalChildren));
    };
    return BasicComponent;
}(enhanced_generic_component_1.EnhancedGenericComponent));
exports.BasicComponent = BasicComponent;
//# sourceMappingURL=basic.component.js.map