/// <reference types="react" />
import { GenericComponent } from '../base/generic.component';
import { IChartProps } from '../../definition';
/**
 * @component-impl
 * @stable [23.05.2020]
 */
export declare class Chart extends GenericComponent<IChartProps> {
    static readonly defaultProps: IChartProps;
    private readonly canvasRef;
    private chartJs;
    /**
     * @stable [23.05.2020]
     */
    componentDidMount(): void;
    /**
     * @stable [23.05.2020]
     */
    componentDidUpdate(): void;
    /**
     * @stable [23.05.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [28.02.2019]
     */
    private refresh;
    /**
     * @stable [02.06.2020]
     * @returns {IChartProps}
     */
    protected get componentsSettingsProps(): IChartProps;
}
