import { ITextFieldProps, ITextFieldState } from '../../../definition';
import { BaseTextField } from './base-text-field.component';
/**
 * @component-impl
 * @stable [21.08.2020]
 */
export declare class TextField extends BaseTextField<ITextFieldProps, ITextFieldState> {
    static readonly defaultProps: ITextFieldProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [18.06.2020]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
