import * as React from 'react';
import { BaseGridColumn } from '../base-column';
import { IGridColumnProps } from '../../../definition';
export declare class GridColumn extends BaseGridColumn {
    static readonly defaultProps: IGridColumnProps;
    /**
     * @stable [12.12.2020]
     * @param originalProps
     */
    constructor(originalProps: IGridColumnProps);
    /**
     * @stable [12.12.2020]
     */
    render(): JSX.Element;
    /**
     * @stable [09.12.2020]
     * @protected
     */
    protected getColumnContentProps(): React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>;
    /**
     * @stable [09.12.2020]
     * @private
     */
    private onColumnClick;
    /**
     * @stable [09.12.2020]
     * @private
     */
    private onColumnContentClick;
    /**
     * @stable [09.12.2020]
     */
    private get styles();
}
