/// <reference types="react" />
import { IGridContainerProps } from './grid.interface';
import { BaseListContainer } from '../list';
export declare class GridContainer extends BaseListContainer<IGridContainerProps> {
    /**
     * @stable [06.06.2018]
     * @param {IGridContainerProps} props
     */
    constructor(props: IGridContainerProps);
    /**
     * @stable [05.06.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [06.06.2018]
     * @param {ISortDirectionEntity} sortDirectionEntity
     */
    private onSortingDirectionChange;
}
