import * as React from 'react';
import { IGridColumnProps } from '../../../definition';
import { BaseGridColumn } from '../base-column';
export declare class GridHeadColumn extends BaseGridColumn {
    static readonly defaultProps: IGridColumnProps<import("../../..").IEntity, IGridColumnProps<import("../../..").IEntity, {}>> & Partial<import("../../../definition").IGenericComponentProps<any>>;
    private readonly hintRef;
    /**
     * @stable [09.12.2020]
     * @param originalProps
     */
    constructor(originalProps: IGridColumnProps);
    /**
     * @stable [09.12.2020]
     */
    componentDidMount(): void;
    /**
     * @stable [09.12.2020]
     */
    componentDidUpdate(prevProps: IGridColumnProps): void;
    /**
     * @stable [09.12.2020]
     */
    render(): JSX.Element;
    /**
     * @stable [28.07.2020]
     * @param children
     */
    protected getColumnContentElement(children: React.ReactNode): React.ReactNode;
    /**
     * @stable [28.07.2020]
     */
    private onCloseClick;
    /**
     * @stable [28.07.2020]
     */
    private onAscSortingActionClick;
    /**
     * @stable [28.07.2020]
     */
    private onDescSortingActionClick;
    /**
     * @stable [19.07.2020]
     * @param {SortDirectionsEnum} direction
     */
    private doSortingDirectionChange;
    /**
     * @stable [08.12.2020]
     * @private
     */
    private doRefreshHint;
    /**
     * @stable [26.11.2020]
     * @protected
     */
    protected isActionable(): boolean;
    /**
     * @stable [28.07.2020]
     */
    private get isDescSortingEnabled();
    /**
     * @stable [28.07.2020]
     */
    private get isAscSortingEnabled();
    /**
     * @stable [08.12.2020]
     */
    private get styles();
    /**
     * @stable [26.11.2020]
     * @private
     */
    private get hasHint();
    /**
     * @stable [08.12.2020]
     * @private
     */
    private get hasCloseAction();
    /**
     * @stable [26.11.2020]
     * @private
     */
    private get hintElement();
}
