"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.GridHead = void 0;
var React = require("react");
var definition_1 = require("../../../definition");
var util_1 = require("../../../util");
var generic_component_1 = require("../../base/generic.component");
/**
 * @component-impl
 * @stable [20.05.2020]
 */
var GridHead = /** @class */ (function (_super) {
    __extends(GridHead, _super);
    function GridHead() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [20.05.2020]
     * @returns {JSX.Element}
     */
    GridHead.prototype.render = function () {
        var _this = this;
        var mergedProps = this.mergedProps;
        return (React.createElement(definition_1.UniversalStickyContext.Consumer, null, function (stickyElementClassName) { return (React.createElement("thead", { className: util_1.ClsUtils.joinClassName(definition_1.GridClassesEnum.HEAD, mergedProps.stickyHead && stickyElementClassName) }, _this.props.children)); }));
    };
    Object.defineProperty(GridHead.prototype, "componentsSettingsProps", {
        /**
         * @stable [02.06.2020]
         * @returns {IGridHeadProps}
         */
        get: function () {
            return this.componentsSettings.gridHead;
        },
        enumerable: false,
        configurable: true
    });
    return GridHead;
}(generic_component_1.GenericComponent));
exports.GridHead = GridHead;
//# sourceMappingURL=grid-head.component.js.map