/// <reference types="react" />
import { GenericComponent } from '../base/generic.component';
import { IKeyInterceptorProps } from './key-interceptor.interface';
export declare class KeyInterceptor extends GenericComponent<IKeyInterceptorProps> {
    static readonly defaultProps: IKeyInterceptorProps;
    private static readonly logger;
    private static ENTER_KEY_CODE;
    private static ENTER_KEY_CODES;
    private static SPECIAL_KEY_CODES;
    private readonly delayedTask;
    private unSubscriber;
    private defaultUnSubscriber;
    private buffer;
    /**
     * @stable [21.11.2020]
     * @param originalProps
     */
    constructor(originalProps: IKeyInterceptorProps);
    /**
     * @stable [18.05.2020]
     */
    componentDidMount(): void;
    /**
     * @stable [18.05.2020]
     */
    componentWillUnmount(): void;
    /**
     * @stable [21.11.2020]
     */
    render(): JSX.Element;
    /**
     * @stable [22.11.2020]
     * @param e
     * @private
     */
    private onDefaultEventCapture;
    /**
     * @stable [21.11.2020]
     * @param e
     * @private
     */
    private onEventCapture;
    /**
     * @stable [21.11.2020]
     * @private
     */
    private onCheckBuffer;
}
