/// <reference types="react" />
import { GenericComponent } from '../../base/generic.component';
import { IKeyboardKeyProps } from '../../../definition';
export declare class KeyboardKey extends GenericComponent<IKeyboardKeyProps> {
    private readonly buttonRef;
    /**
     * @stable [26.01.2019]
     * @param {IKeyboardKeyProps} props
     */
    constructor(props: IKeyboardKeyProps);
    /**
     * @stable [27.01.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [08.05.2018]
     */
    private onClick;
    /**
     * @stable [02.02.2020]
     * @returns {string}
     */
    private get value();
    /**
     * @stable [02.02.2020]
     * @returns {boolean}
     */
    private get isKeyTouched();
    /**
     * @stable [02.02.2020]
     * @returns {IKeyboardKeyValueEntity}
     */
    private get keyAsObject();
    /**
     * @stable [02.02.2020]
     * @returns {string}
     */
    private get keyAsString();
}
