import { UniversalLayoutBuilder } from './universal-layout.builder';
import { ILayoutViewBuilder, LayoutBuilderChildrenNodeT, LayoutBuilderChildrenT } from '../../../definition';
import { StringNumberT } from '../../../definitions.interface';
export declare class LayoutBuilder extends UniversalLayoutBuilder<LayoutBuilderChildrenNodeT> {
    /**
     * @stable [23.01.2020]
     * @param {ILayoutViewBuilder} layoutViewBuilder
     */
    constructor(layoutViewBuilder?: ILayoutViewBuilder);
    /**
     * @stable [23.01.2020]
     * @param {LayoutBuilderChildrenT} item
     * @returns {StringNumberT}
     */
    protected asClonedItemKey(item: LayoutBuilderChildrenT): StringNumberT;
}
