/// <reference types="react" />
import { GenericComponent } from '../../base/generic.component';
import { IListItemProps } from '../../../definition';
/**
 * @component-impl
 * @stable [17.08.2020]
 */
export declare class ListItem extends GenericComponent<IListItemProps> {
    static readonly defaultProps: IListItemProps;
    /**
     * @stable [17.08.2020]
     * @param originalProps
     */
    constructor(originalProps: IListItemProps);
    /**
     * @stable [09.08.2020]
     */
    render(): JSX.Element;
    /**
     * @stable [17.08.2020]
     * @param selectedElementClassName
     */
    private getItemProps;
    /**
     * @stable [09.08.2020]
     */
    private onClick;
    /**
     * @stable [17.08.2020]
     */
    private get iconElement();
    /**
     * @stable [17.08.2020]
     */
    protected get componentsSettingsProps(): IListItemProps;
}
