/// <reference types="react" />
import { IPdfViewerProps } from '../../../definition';
import { Viewer } from '../viewer.component';
export declare class PdfViewer extends Viewer {
    private pdfRendererPlugin;
    private readonly canvasRef;
    /**
     * @stable [16.03.2020]
     * @param {IPdfViewerProps} props
     */
    constructor(props: IPdfViewerProps);
    /**
     * @stable [16.03.2020]
     */
    componentWillUnmount(): void;
    /**
     * @stable [16.03.2020]
     */
    protected refreshOnSrcChanges(): void;
    /**
     * @stable [16.03.2020]
     */
    protected refreshOnInternalChanges(): void;
    /**
     * @stable [16.03.2020]
     * @returns {JSX.Element}
     */
    protected getContentElement(): JSX.Element;
    /**
     * @stable [16.03.2020]
     * @returns {JSX.Element}
     */
    protected gePreviewElement(): JSX.Element;
    /**
     * @stable [16.03.2020]
     * @returns {boolean}
     */
    protected isPreviewForwardActionDisabled(): boolean;
    /**
     * @stable [23.03.2020]
     * @returns {number}
     */
    protected get defaultScale(): number;
}
