"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PREVIOUS_PAGE_ACTION_TYPE = exports.NEXT_PAGE_ACTION_TYPE = exports.LAST_PAGE_ACTION_TYPE = exports.FIRST_PAGE_ACTION_TYPE = exports.ToolbarClassesEnum = void 0;
/**
 * @classes
 * @stable [05.05.2020]
 */
var ToolbarClassesEnum;
(function (ToolbarClassesEnum) {
    ToolbarClassesEnum["FULL_TOOLBAR"] = "rac-full-toolbar";
    ToolbarClassesEnum["PAGE_TOOLBAR"] = "rac-page-toolbar";
    ToolbarClassesEnum["SEARCH_TOOLBAR"] = "rac-search-toolbar";
    ToolbarClassesEnum["TOOLBAR_ACTION"] = "rac-toolbar__action";
    ToolbarClassesEnum["TOOLBAR_ACTION_FIRST"] = "rac-toolbar__action-first";
    ToolbarClassesEnum["TOOLBAR_ACTION_LAST"] = "rac-toolbar__action-last";
    ToolbarClassesEnum["TOOLBAR_ACTION_WITH_SHORT_DIGIT_FORMAT"] = "rac-toolbar__action-with-short-digit-format";
    ToolbarClassesEnum["TOOLBAR_CONTENT"] = "rac-toolbar__content";
    ToolbarClassesEnum["TOOLBAR_ICON"] = "rac-toolbar__icon";
    ToolbarClassesEnum["TOOLBAR_PAGES"] = "rac-toolbar__pages";
})(ToolbarClassesEnum = exports.ToolbarClassesEnum || (exports.ToolbarClassesEnum = {}));
/**
 * @stable [06.05.2020]
 */
exports.FIRST_PAGE_ACTION_TYPE = 'first.page';
exports.LAST_PAGE_ACTION_TYPE = 'last.page';
exports.NEXT_PAGE_ACTION_TYPE = 'next.page';
exports.PREVIOUS_PAGE_ACTION_TYPE = 'previous.page';
//# sourceMappingURL=toolbar-definition.interface.js.map