"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var localforage = require("localforage");
var di_1 = require("../../di");
var database_storage_service_1 = require("./database-storage.service");
var util_1 = require("../../util");
var definition_1 = require("../../definition");
/**
 * @stable [10.09.2020]
 */
di_1.appContainer
    .bind(di_1.DI_TYPES.DatabaseStorage)
    .toConstantValue(new database_storage_service_1.DatabaseStorage(localforage.createInstance({
    driver: localforage.INDEXEDDB,
    name: 'racApp',
    storeName: 'racDatabase',
    version: 1.0,
}), util_1.StorageUtils.asVersionedKey(definition_1.DefaultEntities.ENVIRONMENT_ENTITY)));
//# sourceMappingURL=database-storage.module.js.map