"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var default_storage_service_1 = require("./default-storage.service");
var di_1 = require("../../di");
var util_1 = require("../../util");
var definition_1 = require("../../definition");
/**
 * @stable [10.09.2020]
 */
di_1.appContainer
    .bind(di_1.DI_TYPES.Storage)
    .toConstantValue(new default_storage_service_1.DefaultStorage(util_1.StorageUtils.asVersionedKey(definition_1.DefaultEntities.ENVIRONMENT_ENTITY), di_1.DiServices.settings));
//# sourceMappingURL=default-storage.module.js.map