"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalcUtils = exports.calc = void 0;
var type_1 = require("./type");
/**
 * @stable [24.01.2020]
 * @param {((payload?: TPayload) => TResult) | TResult} result
 * @param {TPayload} payload
 * @returns {TResult}
 */
exports.calc = function (result, payload) {
    return type_1.isFn(result)
        ? result(payload)
        : result;
};
/**
 * @stable [18.05.2020]
 */
var CalcUtils = /** @class */ (function () {
    function CalcUtils() {
    }
    CalcUtils.calc = exports.calc; /* @stable [18.05.2020] */
    return CalcUtils;
}());
exports.CalcUtils = CalcUtils;
//# sourceMappingURL=calc.js.map