import * as React from 'react';
import { IEntity } from '../definitions.interface';
export declare type RenderPredicateT = (child: JSX.Element) => boolean;
export declare const cloneReactNodes: <TProps>(component: JSX.Element | React.Component<{}>, mergedProps: TProps | ((component: JSX.Element | React.Component<{}>) => TProps), mergePropsPredicate: RenderPredicateT, renderPredicate?: RenderPredicateT) => React.ReactNode[];
/**
 * @stable [18.07.2020]
 */
export declare class CloneUtils {
    static readonly clone: <TValue>(o: TValue) => TValue;
    static readonly shallowClone: <TEntity extends IEntity>(entity: TEntity) => TEntity;
}
