import { IEnvironment, IMultiEntityStorageSetEntity, MultiFieldSingleValueT } from '../definition';
/**
 * @stable [04.09.2020]
 */
export declare class StorageUtils {
    static readonly asNotVersionedKey: (env: IEnvironment) => string;
    static readonly asSingleAddedFileId: (result: IMultiEntityStorageSetEntity) => string;
    static readonly asVersionedKey: (env: IEnvironment) => string;
    static readonly entitiesAsStorageTasks: <TEntity>(changes: TEntity, fieldsValuesResolvers: ((entity: TEntity) => MultiFieldSingleValueT)[], storageProcessor: (fileName: string, value: MultiFieldSingleValueT) => Promise<IMultiEntityStorageSetEntity>) => Promise<IMultiEntityStorageSetEntity[]>;
}
