"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UuidUtils = exports.makeUniqueValueableObjects = exports.uuid = void 0;
var uuid0 = require("uuid");
/**
 * @stable [11.06.2018]
 * @param {boolean} onlyChars
 * @returns {string}
 */
exports.uuid = function (onlyChars) {
    if (onlyChars === void 0) { onlyChars = false; }
    var result = uuid0();
    if (onlyChars) {
        while (/[0-9]{1,}/.test(result)) {
            result = Math.random().toString(36).replace(/[^a-z]+/g, '');
        }
    }
    return result;
};
/**
 * @stable [28.07.2020]
 * @param objects
 */
exports.makeUniqueValueableObjects = function () {
    var objects = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        objects[_i] = arguments[_i];
    }
    return objects.map(function (object, index) { return (__assign(__assign({}, object), { value: index })); });
};
/**
 * @stable [16.06.2020]
 */
var UuidUtils = /** @class */ (function () {
    function UuidUtils() {
    }
    UuidUtils.uniqueValueableObjects = exports.makeUniqueValueableObjects;
    UuidUtils.uuid = exports.uuid;
    return UuidUtils;
}());
exports.UuidUtils = UuidUtils;
//# sourceMappingURL=uuid.js.map