/// <reference types="react" />
import { GenericComponent } from '../base/generic.component';
import { IDndProps } from '../../definition';
/**
 * @component-impl
 * @stable [18.10.2020]
 */
export declare class DnD extends GenericComponent<IDndProps, {}, {
    open(): void;
}> {
    /**
     * @stable [17.10.2020]
     * @param originalProps
     */
    constructor(originalProps: IDndProps);
    /**
     * @stable [18.10.2020]
     */
    render(): JSX.Element;
    /**
     * @stable [17.10.2020]
     */
    open(): void;
    /**
     * @stable [17.10.2020]
     * @param files
     * @private
     */
    private onDrop;
}
