"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.Checkbox = void 0;
var base_checkbox_component_1 = require("./base-checkbox.component");
var util_1 = require("../../../util");
var definition_1 = require("../../../definition");
var Checkbox = /** @class */ (function (_super) {
    __extends(Checkbox, _super);
    function Checkbox() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(Checkbox.prototype, "inputAttachmentElement", {
        /**
         * @stable [09.06.2020]
         * @returns {JSX.Element}
         */
        get: function () {
            var _this = this;
            return util_1.ConditionUtils.orNull(this.value, function () { return _this.uiFactory.makeIcon(definition_1.IconsEnum.CHECK); });
        },
        enumerable: false,
        configurable: true
    });
    /**
     * @stable [09.06.2020]
     * @returns {string}
     */
    Checkbox.prototype.getFieldClassName = function () {
        return util_1.ClsUtils.joinClassName(_super.prototype.getFieldClassName.call(this), definition_1.CheckboxClassesEnum.CHECKBOX);
    };
    Checkbox.defaultProps = util_1.PropsUtils.mergeWithParentDefaultProps({}, base_checkbox_component_1.BaseCheckbox);
    return Checkbox;
}(base_checkbox_component_1.BaseCheckbox));
exports.Checkbox = Checkbox;
//# sourceMappingURL=checkbox.component.js.map