/// <reference types="react" />
import { IFieldTextAreaProps, ITextAreaProps } from '../../../definition';
import { BaseTextField } from '../text-field';
/**
 * @component-impl
 * @stable [20.06.2020]
 */
export declare class TextArea extends BaseTextField<ITextAreaProps> {
    static readonly defaultProps: ITextAreaProps & Partial<import("../../../definition").IGenericComponentProps<any>>;
    /**
     * @stable [14.10.2020]
     * @protected
     */
    protected getInputElementProps(): IFieldTextAreaProps;
    /**
     * @stable [14.10.2020]
     * @protected
     */
    protected getInputElement(): JSX.Element;
    /**
     * @stable [14.10.2020]
     * @protected
     */
    protected get inputAttachmentElement(): JSX.Element;
    /**
     * @stable [14.10.2020]
     * @protected
     */
    protected getFieldClassName(): string;
    /**
     * @stable [14.10.2020]
     * @protected
     */
    protected getComponentsSettingsProps(): ITextAreaProps;
}
