"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubHeaderLink = void 0;
var React = require("react");
var generic_component_1 = require("../base/generic.component");
var definition_1 = require("../../definition");
var util_1 = require("../../util");
/**
 * @component-impl
 * @stable [22.05.2020]
 */
var SubHeaderLink = /** @class */ (function (_super) {
    __extends(SubHeaderLink, _super);
    function SubHeaderLink() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [24.09.2020]
     */
    SubHeaderLink.prototype.render = function () {
        var _this = this;
        var _a = this.originalProps, first = _a.first, hasPrevious = _a.hasPrevious, last = _a.last, onClick = _a.onClick, separator = _a.separator, text = _a.text;
        var isActiveLink = !last && !first;
        var contentElement = util_1.NvlUtils.nvl(text, this.originalChildren);
        return util_1.ConditionUtils.ifNotEmptyThanValue(contentElement, function () { return (React.createElement("span", { ref: _this.actualRef, className: util_1.ClsUtils.joinClassName(definition_1.SubHeaderLinkClasses.SUB_HEADER_LINK, isActiveLink && definition_1.SubHeaderLinkClasses.SUB_HEADER_LINK_ACTIVE) },
            hasPrevious && separator,
            React.createElement("span", __assign({ className: definition_1.SubHeaderLinkClasses.SUB_HEADER_LINK_CONTENT }, isActiveLink && util_1.PropsUtils.buildClickHandlerProps(onClick, true, false)), contentElement))); });
    };
    Object.defineProperty(SubHeaderLink.prototype, "componentsSettingsProps", {
        /**
         * @stable [24.09.2020]
         */
        get: function () {
            return this.componentsSettings.subHeaderLink;
        },
        enumerable: false,
        configurable: true
    });
    SubHeaderLink.defaultProps = {
        separator: ' / ',
    };
    return SubHeaderLink;
}(generic_component_1.GenericComponent));
exports.SubHeaderLink = SubHeaderLink;
//# sourceMappingURL=sub-header-link.component.js.map