/// <reference types="react" />
import { IPageToolbarProps } from '../../../definition';
import { GenericComponent } from '../../base/generic.component';
/**
 * @component-impl
 * @stable [10.06.2020]
 *
 * Please use the "Mappers.pageToolbarProps"
 */
export declare class PageToolbar extends GenericComponent<IPageToolbarProps> {
    static readonly defaultProps: IPageToolbarProps;
    /**
     * @stable [10.06.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [10.06.2020]
     * @returns {JSX.Element}
     */
    private get pagesElement();
    /**
     * @stable [10.06.2020]
     * @returns {JSX.Element}
     */
    private get bodyElement();
    /**
     * @stable [10.06.2020]
     * @returns {JSX.Element}
     */
    private get actionsElement();
    /**
     * @stable [10.06.2020]
     * @returns {string}
     */
    private get pagesInfo();
    /**
     * @stable [10.06.2020]
     * @returns {boolean}
     */
    private get isToolbarVisible();
    /**
     * @stable [10.06.2020]
     * @returns {boolean}
     */
    private get isPreviousActionDisabled();
    /**
     * @stable [10.06.2020]
     * @returns {boolean}
     */
    private get isNextActionDisabled();
    /**
     * @stable [10.06.2020]
     * @returns {number}
     */
    private get toNumber();
    /**
     * @stable [10.06.2020]
     * @returns {number}
     */
    private get fromNumber();
    /**
     * @stable [10.06.2020]
     * @returns {number}
     */
    private get pagesCount();
    /**
     * @stable [10.06.2020]
     * @returns {number}
     */
    private get totalCount();
    /**
     * @stable [10.06.2020]
     * @returns {IPageToolbarProps}
     */
    protected get componentsSettingsProps(): IPageToolbarProps;
}
