/// <reference types="react" />
import { GenericContainer } from '../../base/generic.container';
import { IPageToolbarContainerProps } from '../../../definition';
/**
 * @component-container-impl
 * @stable [31.07.2020]
 *
 * Please use the "Mappers.pageToolbarContainerProps"
 */
export declare class PageToolbarContainer extends GenericContainer<IPageToolbarContainerProps> {
    /**
     * @stable [06.05.2020]
     * @param {IPageToolbarContainerProps} props
     */
    constructor(props: IPageToolbarContainerProps);
    /**
     * @stable [31.07.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [06.05.2020]
     */
    private onNext;
    /**
     * @stable [06.05.2020]
     */
    private onPrevious;
    /**
     * @stable [06.05.2020]
     */
    private onLast;
    /**
     * @stable [06.05.2020]
     */
    private onFirst;
}
