/**
 * @stable [17.05.2020]
 */
export declare class DefaultEntities {
    static readonly CHANGEABLE_FIELD_ENTITY: Readonly<import("./field-definition.interface").IPresetsFieldEntity>;
    static readonly COMPACT_FORM_ENTITY: Readonly<import("./form-definition.interface").IPresetsFormEntity<import("..").IEntity>>;
    static readonly COMPONENTS_SETTINGS_ENTITY: Readonly<import("./settings-definition.interface").IComponentsSettingsEntity>;
    static readonly CURRENCY_PRECISION_VALUE = 2;
    static readonly CURRENCY_SETTINGS_ENTITY: Readonly<import("./settings-definition.interface").ICurrencySettingsEntity>;
    static readonly DICTIONARY_PAGED_ENTITY: Readonly<import("./page-definition.interface").IReduxPagedEntity>;
    static readonly DOM_RIGHT_POSITION_CONFIG_ENTITY: Readonly<import("./dom-definition.interface").IDomPositionConfigEntity<HTMLElement>>;
    static readonly EMAIL_FIELD_ENTITY: Readonly<import("./field-definition.interface").IPresetsFieldEntity>;
    static readonly ENVIRONMENT_ENTITY: Readonly<import("./env-definition.interface").IEnvironment>;
    static readonly FILTERED_MENU_ENTITY: Readonly<import("./menu-definition.interface").IPresetsMenuEntity>;
    static readonly FIRST_PAGE = 1;
    static readonly INITIAL_REDUX_LIST_ENTITY: Readonly<import("./list-definition.interface").IReduxListEntity<import("..").IEntity, any>>;
    static readonly INITIAL_REDUX_STACK_ENTITY: Readonly<import("./stack-definition.interface").IReduxStackEntity>;
    static readonly LOCAL_PAGE_SIZE = 20;
    static readonly MAX_PAGED_ENTITY: Readonly<import("./page-definition.interface").IReduxPagedEntity>;
    static readonly NEW = "new";
    static readonly NO_AUTO_COMPLETE_FIELD_ENTITY: Readonly<import("./field-definition.interface").IPresetsFieldEntity>;
    static readonly NOT_CHANGEABLE_FIELD_ENTITY: Readonly<import("./field-definition.interface").IPresetsFieldEntity>;
    static readonly NOT_HOVERED_LIST_ITEM_ENTITY: Readonly<import("./list-definition.interface").IPresetsListItemEntity<import("..").IEntity>>;
    static readonly NUMBER_CONVERTER_SETTINGS_ENTITY: Readonly<import("./settings-definition.interface").INumberConverterSettingsEntity>;
    static readonly PAGINATED_SINGLE_ENTITY: Readonly<import("./page-definition.interface").IReduxPaginatedEntity>;
    static readonly PASSWORD_FIELD_ENTITY: Readonly<import("./field-definition.interface").IPresetsFieldEntity>;
    static readonly PATH_SEPARATOR = "#";
    static readonly PLACE_FIELD_ENTITY: Readonly<import("./place-field-definition.interface").IPresetsPlaceFieldEntity>;
    static readonly QUICK_SEARCH_FIELD_ENTITY: Readonly<import("./select-definition.interface").IPresetsBaseSelectEntity>;
    static readonly ROOT_SECTION = "root";
    static readonly SELECTABLE_LIST_ITEM_ENTITY: Readonly<import("./list-definition.interface").IPresetsListItemEntity<import("..").IEntity>>;
    static readonly SLIDER_ENTITY: Readonly<import("./slider-definition.interface").IPresetsSliderBaseEntity>;
    static readonly UNIT_OF_CURRENCY = 1;
    static readonly UNLIMITED_HEIGHT_MENU_ENTITY: Readonly<import("./menu-definition.interface").IPresetsMenuEntity>;
    static readonly ZIP_CODE_FIELD_ENTITY: Readonly<import("./place-field-definition.interface").IPlaceFieldProps>;
}
