"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.$RAC_ROUTER_REWRITE_ACTION_TYPE = exports.$RAC_ROUTER_REPLACE_ACTION_TYPE = exports.$RAC_ROUTER_RELOAD_ACTION_TYPE = exports.$RAC_ROUTER_NAVIGATE_BACK_ACTION_TYPE = exports.$RAC_ROUTER_NAVIGATE_ACTION_TYPE = exports.ContainerVisibilityTypesEnum = void 0;
var definitions_interface_1 = require("../definitions.interface");
/**
 * @stable [16.11.2019]
 */
var ContainerVisibilityTypesEnum;
(function (ContainerVisibilityTypesEnum) {
    ContainerVisibilityTypesEnum[ContainerVisibilityTypesEnum["PUBLIC"] = 0] = "PUBLIC";
    ContainerVisibilityTypesEnum[ContainerVisibilityTypesEnum["PRIVATE"] = 1] = "PRIVATE";
})(ContainerVisibilityTypesEnum = exports.ContainerVisibilityTypesEnum || (exports.ContainerVisibilityTypesEnum = {}));
/**
 * @stable [09.10.2019]
 */
exports.$RAC_ROUTER_NAVIGATE_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "router.navigate";
exports.$RAC_ROUTER_NAVIGATE_BACK_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "router.navigate.back";
exports.$RAC_ROUTER_RELOAD_ACTION_TYPE = exports.$RAC_ROUTER_NAVIGATE_ACTION_TYPE + ".reload";
exports.$RAC_ROUTER_REPLACE_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "router.replace";
exports.$RAC_ROUTER_REWRITE_ACTION_TYPE = definitions_interface_1.ACTION_PREFIX + "router.rewrite";
//# sourceMappingURL=router-definition.interface.js.map