import { IDataWrapper, IValidWrapper } from '../definitions.interface';
/**
 * @enum
 * @stable [07.09.2020]
 */
export declare enum ValidationRulesEnum {
    NOT_EMPTY_MULTI_ENTITY = 0,
    NOT_EMPTY_OBJECT = 1,
    NOT_EMPTY_STRING = 2,
    POSITIVE_NUMBER = 3,
    POSITIVE_NUMBER_LIKE = 4,
    POSITIVE_OPTIONAL_NUMBER_LIKE = 5,
    POSITIVE_OR_NEGATIVE_NUMBER = 6,
    POSITIVE_OR_NEGATIVE_NUMBER_LIKE = 7,
    POSITIVE_OR_NEGATIVE_OPTIONAL_NUMBER_LIKE = 8,
    STRING = 9
}
/**
 * @stable [07.09.2020]
 */
export interface IValidationResultEntity extends IDataWrapper<Record<string, Record<ValidationRulesEnum, boolean>>>, IValidWrapper {
}
