"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DictionariesEffects = void 0;
var redux_effects_promise_1 = require("redux-effects-promise");
var definition_1 = require("../definition");
var di_1 = require("../di");
var action_1 = require("../action");
var util_1 = require("../util");
var DictionariesEffects = /** @class */ (function () {
    function DictionariesEffects() {
        var _this = this;
        /**
         * @stable [12.01.2020]
         * @param {IEffectsAction} action
         * @returns {Promise<ISearchPlaceEntity[]>}
         */
        this.$onSearchPlaces = function (action) {
            return _this.placesApi.searchPlaces(util_1.Selectors.payloadFromAction(action));
        };
    }
    DictionariesEffects_1 = DictionariesEffects;
    var DictionariesEffects_1;
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.PlacesApi),
        __metadata("design:type", Object)
    ], DictionariesEffects.prototype, "placesApi", void 0);
    __decorate([
        redux_effects_promise_1.EffectsService.effects(action_1.DictionariesActionBuilder.buildLoadActionType(definition_1.DictionariesEnum.PLACES)),
        __metadata("design:type", Object)
    ], DictionariesEffects.prototype, "$onSearchPlaces", void 0);
    DictionariesEffects = DictionariesEffects_1 = __decorate([
        di_1.provideInSingleton(DictionariesEffects_1)
    ], DictionariesEffects);
    return DictionariesEffects;
}());
exports.DictionariesEffects = DictionariesEffects;
//# sourceMappingURL=dictionaries.effects.js.map