"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VERSION_PROCESSOR_LOADING_INFO_OPERATION = exports.makeEntityOperation = void 0;
var definition_1 = require("../definition");
var operation_1 = require("./operation");
var util_1 = require("../util");
/**
 * @stable [02.04.2020]
 * @param {string} uuid
 * @param {EntityIdT} entityId
 * @returns {IOperationEntity}
 */
exports.makeEntityOperation = function (uuid) {
    var entityId = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        entityId[_i - 1] = arguments[_i];
    }
    return operation_1.Operation.create(util_1.JoinUtils.join(__spreadArrays([uuid], entityId), '-'));
};
/**
 * @stable [12.05.2020]
 */
exports.VERSION_PROCESSOR_LOADING_INFO_OPERATION = operation_1.Operation.create(definition_1.VERSION_PROCESSOR_LOADING_INFO_OPERATION_UUID);
//# sourceMappingURL=operation.support.js.map