import { IKeyValue } from '../definitions.interface';
/**
 * @stable [10.12.2020]
 */
export declare class Base64Utils {
    static readonly base64ToJson: <TResult = IKeyValue>(base64: string) => TResult;
    static readonly base64ToString: (base64: string) => string;
    static readonly jsonToBase64: <TObject = unknown>(o: TObject) => string;
    static readonly stringToBase64: (str: string) => string;
}
