import { IKeyValue } from '../definitions.interface';
/**
 * @stable [06.11.2020]
 */
export declare class JsonUtils {
    static readonly formatJson: (o: IKeyValue, space?: number) => string;
    static readonly parseJson: <TResult = IKeyValue>(o: string) => TResult;
    static readonly serializeJson: <TObject = unknown>(o: TObject) => string;
}
