"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonUtils = void 0;
var R = require("ramda");
/**
 * @stable [10.09.2020]
 * @param o
 * @param space
 */
var formatJson = function (o, space) {
    if (space === void 0) { space = 4; }
    return JSON.stringify(o, null, space);
};
/**
 * @stable [06.11.2020]
 * @param o
 */
var parseJson = function (o) {
    if (R.isNil(o)) {
        return o;
    }
    try {
        return JSON.parse(o);
    }
    catch (e) {
        return o;
    }
};
/**
 * @stable [07.10.2020]
 * @param o
 */
var serializeJson = function (o) { return JSON.stringify(o); };
/**
 * @stable [06.11.2020]
 */
var JsonUtils = /** @class */ (function () {
    function JsonUtils() {
    }
    JsonUtils.formatJson = formatJson;
    JsonUtils.parseJson = parseJson;
    JsonUtils.serializeJson = serializeJson;
    return JsonUtils;
}());
exports.JsonUtils = JsonUtils;
//# sourceMappingURL=json.js.map