import { IValueWrapper } from '../definitions.interface';
/**
 * @stable [11.06.2018]
 * @param {boolean} onlyChars
 * @returns {string}
 */
export declare const uuid: (onlyChars?: boolean) => string;
/**
 * @stable [28.07.2020]
 * @param objects
 */
export declare const makeUniqueValueableObjects: <TObject extends IValueWrapper<any> = IValueWrapper<any>>(...objects: TObject[]) => TObject[];
/**
 * @stable [16.06.2020]
 */
export declare class UuidUtils {
    static readonly uniqueValueableObjects: <TObject extends IValueWrapper<any> = IValueWrapper<any>>(...objects: TObject[]) => TObject[];
    static readonly uuid: (onlyChars?: boolean) => string;
}
